PUT Application/PutRoleSemanticEntitySecurity
Request Information
URI Parameters
None.
Body Parameters
RoleSemanticEntitySecurity| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| RoleID | globally unique identifier |
Required |
|
| SemanticEntitySchemaName | string |
Required |
|
| SemanticEntityName | string |
Required |
|
| EntityID | string |
Required |
|
| HasAccess | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "8c7d1c90-f284-4799-894a-49a917e91785",
"roleID": "ace20cd8-8dd3-462a-a455-523cbab08ab2",
"semanticEntitySchemaName": "sample string 3",
"semanticEntityName": "sample string 4",
"entityID": "sample string 5",
"hasAccess": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.